package com.kafka.simplestep;

import kafka.tools.ConsoleProducer;
import org.apache.kafka.clients.producer.KafkaProducer;
import org.apache.kafka.clients.producer.ProducerConfig;
import org.apache.kafka.clients.producer.ProducerRecord;
import org.apache.kafka.common.serialization.StringSerializer;

import java.util.Properties;

public class ProducerDemo {
    public static void main(String args[]){
        String bootstrapServer="127.0.0.1:9092";
        Properties properties=new Properties();
        //create producer properties
        properties.setProperty(ProducerConfig.BOOTSTRAP_SERVERS_CONFIG,bootstrapServer);
        properties.setProperty(ProducerConfig.KEY_SERIALIZER_CLASS_CONFIG, StringSerializer.class.getName());
        properties.setProperty(ProducerConfig.VALUE_SERIALIZER_CLASS_CONFIG,StringSerializer.class.getName());

        //create the producer
        KafkaProducer<String,String> kafkaProducer= new KafkaProducer<String, String>(properties);

        //create producer record
        ProducerRecord<String,String> producerRecord=new ProducerRecord<>("nisum-topic","This is kafka producer1");
        //send data asynchronous
        kafkaProducer.send(producerRecord);
        //flush data
        kafkaProducer.flush();
        kafkaProducer.close();

    }
}
